Up

# NSSplitView

### Authors

Robert Vasvari (`vrobi@ddrummer.com`)
Felipe A. Rodriguez (`far@ix.netcom.com`)
Richard Frith-Macdonald (`richard@brainstorm.co.uk`)
Nicola Pero (`nicola.pero@meta-innovation.com`)

> Allows multiple views to share a region in a window

Copyright: (C) 1996, 1998, 1999, 2000, 2001, 2004, 2008 Free Software Foundation, Inc.

### Contents -

1. Software documentation for the NSSplitView class
2. Software documentation for the NSObject(NSSplitViewDelegate) informal protocol
3. Software documentation for the NSSplitView(GNUstepExtra) category

# Software documentation for the NSSplitView class

## NSSplitView : NSView

> Declared in:
>   AppKit/NSSplitView.h

Availability: OpenStep
Description forthcoming.

Instance Variables
Method summary

- -backgroundColor
- -dimpleImage
- -dividerColor
- -draggedBarWidth
- -setBackgroundColor:
- -setDimpleImage:resetDividerThickness:
- -setDividerColor:
- -setDraggedBarWidth:
- -adjustSubviews
- -autosaveName
- -delegate
- -dividerThickness
- -drawDividerInRect:
- -isPaneSplitter
- -isSubviewCollapsed:
- -isVertical
- -maxPossiblePositionOfDividerAtIndex:
- -minPossiblePositionOfDividerAtIndex:
- -setAutosaveName:
- -setDelegate:
- -setIsPaneSplitter:
- -setPosition:ofDividerAtIndex:
- -setVertical:

### adjustSubviews

- (void) adjustSubviews;
Availability: OpenStep
Description forthcoming.

### autosaveName

- (NSString*) autosaveName;
Availability: Not in OpenStep/MacOS-X
Description forthcoming.

### delegate

- (id) delegate;
Availability: OpenStep
Description forthcoming.

### dividerThickness

- (CGFloat) dividerThickness;
Availability: OpenStep
Description forthcoming.

### drawDividerInRect:

- (void) drawDividerInRect: (NSRect)aRect;
Availability: OpenStep
Description forthcoming.

### isPaneSplitter

- (BOOL) isPaneSplitter;
Availability: MacOS-X 10.0.0
Description forthcoming.

### isSubviewCollapsed:

- (BOOL) isSubviewCollapsed: (NSView*)subview;
Availability: MacOS-X 10.0.0
Description forthcoming.

### isVertical

- (BOOL) isVertical;
Availability: OpenStep
Description forthcoming.

### maxPossiblePositionOfDividerAtIndex:

- (CGFloat) maxPossiblePositionOfDividerAtIndex: (NSInteger)dividerIndex;
Availability: Not in OpenStep/MacOS-X
Description forthcoming.

### minPossiblePositionOfDividerAtIndex:

- (CGFloat) minPossiblePositionOfDividerAtIndex: (NSInteger)dividerIndex;
Availability: Not in OpenStep/MacOS-X
Description forthcoming.

### setAutosaveName:

- (void) setAutosaveName: (NSString*)autosaveName;
Availability: Not in OpenStep/MacOS-X
Description forthcoming.

### setDelegate:

- (void) setDelegate: (id)anObject;
Availability: OpenStep
Description forthcoming.

### setIsPaneSplitter:

- (void) setIsPaneSplitter: (BOOL)flag;
Availability: MacOS-X 10.0.0
Description forthcoming.

### setPosition: ofDividerAtIndex:

- (void) setPosition: (CGFloat)position ofDividerAtIndex: (NSInteger)dividerIndex;
Availability: Not in OpenStep/MacOS-X
Description forthcoming.

### setVertical:

- (void) setVertical: (BOOL)flag;
Availability: OpenStep
Description forthcoming.

## Instance Variables for NSSplitView Class

### _autosaveName

@protected NSString* _autosaveName;
Availability: OpenStep
Warning the underscore at the start of the name of this instance variable indicates that, even though it is not technically private, it is intended for internal use within the package, and you should not use the variable in other code.

### _backgroundColor

@protected NSColor* _backgroundColor;
Availability: OpenStep
Warning the underscore at the start of the name of this instance variable indicates that, even though it is not technically private, it is intended for internal use within the package, and you should not use the variable in other code.

### _delegate

@protected id _delegate;
Availability: OpenStep
Warning the underscore at the start of the name of this instance variable indicates that, even though it is not technically private, it is intended for internal use within the package, and you should not use the variable in other code.

### _dimpleImage

@protected NSImage* _dimpleImage;
Availability: OpenStep
Warning the underscore at the start of the name of this instance variable indicates that, even though it is not technically private, it is intended for internal use within the package, and you should not use the variable in other code.

### _dividerColor

@protected NSColor* _dividerColor;
Availability: OpenStep
Warning the underscore at the start of the name of this instance variable indicates that, even though it is not technically private, it is intended for internal use within the package, and you should not use the variable in other code.

### _dividerWidth

@protected CGFloat _dividerWidth;
Availability: OpenStep
Warning the underscore at the start of the name of this instance variable indicates that, even though it is not technically private, it is intended for internal use within the package, and you should not use the variable in other code.

### _draggedBarWidth

@protected CGFloat _draggedBarWidth;
Availability: OpenStep
Warning the underscore at the start of the name of this instance variable indicates that, even though it is not technically private, it is intended for internal use within the package, and you should not use the variable in other code.

### _isVertical

@protected BOOL _isVertical;
Availability: OpenStep
Warning the underscore at the start of the name of this instance variable indicates that, even though it is not technically private, it is intended for internal use within the package, and you should not use the variable in other code.

### _is_pane_splitter

@protected BOOL _is_pane_splitter;
Availability: OpenStep
Warning the underscore at the start of the name of this instance variable indicates that, even though it is not technically private, it is intended for internal use within the package, and you should not use the variable in other code.

### _never_displayed_before

@protected BOOL _never_displayed_before;
Availability: OpenStep
Warning the underscore at the start of the name of this instance variable indicates that, even though it is not technically private, it is intended for internal use within the package, and you should not use the variable in other code.

# Software documentation for the NSObject(NSSplitViewDelegate) informal protocol

## NSObject(NSSplitViewDelegate)

> Declared in:
>   AppKit/NSSplitView.h

Availability: OpenStep
Description forthcoming.
Method summary

- -splitView:canCollapseSubview:
- -splitView:constrainMaxCoordinate:ofSubviewAt:
- -splitView:constrainMinCoordinate:maxCoordinate:ofSubviewAt:
- -splitView:constrainMinCoordinate:ofSubviewAt:
- -splitView:constrainSplitPosition:ofSubviewAt:
- -splitView:resizeSubviewsWithOldSize:
- -splitViewDidResizeSubviews:
- -splitViewWillResizeSubviews:

### splitView: canCollapseSubview:

- (BOOL) splitView: (NSSplitView*)sender canCollapseSubview: (NSView*)subview;
Availability: MacOS-X 10.0.0
Description forthcoming.

### splitView: constrainMaxCoordinate: ofSubviewAt:

- (float) splitView: (NSSplitView*)sender constrainMaxCoordinate: (float)proposedMax ofSubviewAt: (int)offset;
Availability: MacOS-X 10.0.0
Description forthcoming.

### splitView: constrainMinCoordinate: maxCoordinate: ofSubviewAt:

- (void) splitView: (NSSplitView*)sender constrainMinCoordinate: (float*)min maxCoordinate: (float*)max ofSubviewAt: (int)offset;
Availability: OpenStep
Description forthcoming.

### splitView: constrainMinCoordinate: ofSubviewAt:

- (float) splitView: (NSSplitView*)sender constrainMinCoordinate: (float)proposedMin ofSubviewAt: (int)offset;
Availability: MacOS-X 10.0.0
Description forthcoming.

### splitView: constrainSplitPosition: ofSubviewAt:

- (float) splitView: (NSSplitView*)sender constrainSplitPosition: (float)proposedPosition ofSubviewAt: (int)offset;
Availability: OpenStep
Description forthcoming.

### splitView: resizeSubviewsWithOldSize:

- (void) splitView: (NSSplitView*)sender resizeSubviewsWithOldSize: (NSSize)oldSize;
Availability: OpenStep
Description forthcoming.

### splitViewDidResizeSubviews:

- (void) splitViewDidResizeSubviews: (NSNotification*)notification;
Availability: OpenStep
Description forthcoming.

### splitViewWillResizeSubviews:

- (void) splitViewWillResizeSubviews: (NSNotification*)notification;
Availability: OpenStep
Description forthcoming.

# Software documentation for the NSSplitView(GNUstepExtra) category

## NSSplitView(GNUstepExtra)

> Declared in:
>   AppKit/NSSplitView.h

Availability: Not in OpenStep/MacOS-X
Description forthcoming.
Method summary

- -backgroundColor
- -dimpleImage
- -dividerColor
- -draggedBarWidth
- -setBackgroundColor:
- -setDimpleImage:resetDividerThickness:
- -setDividerColor:
- -setDraggedBarWidth:

### backgroundColor

- (NSColor*) backgroundColor;
Availability: Not in OpenStep/MacOS-X
Description forthcoming.

### dimpleImage

- (NSImage*) dimpleImage;
Availability: Not in OpenStep/MacOS-X
Description forthcoming.

### dividerColor

- (NSColor*) dividerColor;
Availability: Not in OpenStep/MacOS-X
Description forthcoming.

### draggedBarWidth

- (CGFloat) draggedBarWidth;
Availability: Not in OpenStep/MacOS-X
Description forthcoming.

### setBackgroundColor:

- (void) setBackgroundColor: (NSColor*)aColor;
Availability: Not in OpenStep/MacOS-X
Description forthcoming.

### setDimpleImage: resetDividerThickness:

- (void) setDimpleImage: (NSImage*)anImage resetDividerThickness: (BOOL)flag;
Availability: Not in OpenStep/MacOS-X
Description forthcoming.

### setDividerColor:

- (void) setDividerColor: (NSColor*)aColor;
Availability: Not in OpenStep/MacOS-X
Description forthcoming.

### setDraggedBarWidth:

- (void) setDraggedBarWidth: (CGFloat)newWidth;
Availability: Not in OpenStep/MacOS-X
Description forthcoming.

Up